%define api	0.1
%define major	0
%define libname	%mklibname %{name} %{api} %{major}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		grilo
Version:	0.1.18
Release:	%mkrel 1
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Url:		http://live.gnome.org/Grilo
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala-devel >= 0.7.2
BuildRequires:	vala-tools >= 0.7.2
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.0

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-vala \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-grl-net \
	--disable-tests
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%files
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/grl-inspect
%{_bindir}/grilo-test-ui
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect.1.*

%files -n %{libname}
%{_libdir}/*-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS COPYING NEWS README TODO
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala-*/vapi/*


%changelog

* Fri Dec 09 2011 wally <wally> 0.1.18-1.mga2
+ Revision: 179703
- new version 0.1.18
- clean .spec

* Tue Sep 06 2011 fwang <fwang> 0.1.17-1.mga2
+ Revision: 139043
- update file list
- new version 0.1.17
- create owned dir
- recognize vala 0.14
- imported package grilo

